ACN::Component Class Reference

The Component class The process, program or application corresponding to a single ACN endpoint. More...

`#include <component.h>`

Inheritance diagram for ACN::Component:
[legend]

## Public Member Functions

| Component (UUID::uuid cid=UUID::uuid())
| Component. More...
const UUID::uuid | cid () const
| cid More...
const std::string | fixedName () const
| fixedName fixed component name More...
const std::string | userName () const
| userName user-asigned name More...
const std::string | name () const
| component name, either user asigned or fixed. More...
void | assignUserName (const std::string s)
| set the user asigned name More...

## Protected Attributes

std::string | fctn_
| EPI 19: ACN Discovery on IP Networks. More...
std::string | uacn_
| 3.2. More...

## Detailed Description

The Component class The process, program or application corresponding to a single ACN endpoint.

All messages in ACN are sent and received by a component.

See [Arch] for a more complete definition.

## Constructor & Destructor Documentation

## Component()

ACN::Component::Component | ( | UUID::uuid | cid = `UUID::uuid()` | ) |

inline

Component.

Parameters

  cid |

## Member Function Documentation

## assignUserName()

void ACN::Component::assignUserName | ( | const std::string | s | ) |

inline

set the user asigned name

Parameters

  s |

## cid()

const UUID::uuid ACN::Component::cid | ( |  | ) | const

inline

cid

Returns

Here is the caller graph for this function:

## fixedName()

const std::string ACN::Component::fixedName | ( |  | ) | const

inline

fixedName fixed component name

Returns

## name()

const std::string ACN::Component::name | ( |  | ) | const

inline

component name, either user asigned or fixed.

Returns

Here is the caller graph for this function:

## userName()

const std::string ACN::Component::userName | ( |  | ) | const

inline

userName user-asigned name

Returns

## Member Data Documentation

## fctn_

std::string ACN::Component::fctn_

protected

EPI 19: ACN Discovery on IP Networks.

1. Component Name Strings Each component shall maintain two text identifier strings intended to indicate the function of the component in human readable terms for browsing purposes.

3.1. Fixed Component Type Name (FCTN) shall be a UTF-8 string that is assigned during manufacture.

## uacn_

std::string ACN::Component::uacn_

protected

3.2.

User Assigned Component Name (UACN) shall be a UTF-8 string that may be assigned by the user.

The documentation for this class was generated from the following file:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/acn/component.h